@echo off
REM Change directory to the folder containing this script
cd /d %~dp0

REM Build and run the Docker Compose services
docker-compose -p mssql build
docker-compose -p mssql up -d

REM Copy the init-db.sql file to the MSSQL container
docker cp init-db.sql mssql:/init-db.sql

REM Execute the SQL script to initialize the database
docker exec -it mssql /opt/mssql-tools/bin/sqlcmd -S localhost -U sa -P Passw0rd -i /init-db.sql

REM Pause the script to view any output or errors
pause
